/*
* AzandeSystemConfig_AtMega328.c
*  Author: Anders Zeijlon
*/

#ifndef AZANDESYSTEMCONFIG_H_
#define AZANDESYSTEMCONFIG_H_

#include "PcUart.h"
//#include "avr/pgmspace.h"

// MCU endianess definition
//#define MCU_IS_BIG_ENDIAN
#define MCU_IS_LITTLE_ENDIAN

#define READ_BUFFER_SIZE 	50
#define AZANDE_MAX_COMMANDS 10
#define AZANDE_MAX_EVENTS 	10

#define __FLASH_DIRECTIVE __flash

// Read byte defines
#define SerialAnyBytesToRead() 			PcUart_AnyToRead()
#define SerialReadNextByte(destination)	PcUart_Read(&destination, 1)

// Write byte defines
#define WriteOneByteQueued(BYTE) 	PcUart_WriteOneByte(BYTE)

// Write byte blocking defines
#define WriteOneByteBlocked(BYTE) 	PcUart_BlockWriteOneByte(BYTE)
#define StartBlockWriting()			PcUart_StartBlockWriting()
#define StopBlockWriting()			PcUart_StopBlockWriting()



#endif /* AZANDESYSTEMCONFIG_H_ */
