/*
 * PcUart.h
 *
 * Author : Anders Zeijlon
 */ 


#ifndef Pc_UART_H_
#define Pc_UART_H_

#include <stdint.h>


void PcUart_init(void);
uint16_t PcUart_Read(uint8_t* destination, uint16_t max_count);
uint8_t PcUart_AnyToRead(void);

void PcUart_Write(uint8_t* source, uint16_t count);
void PcUart_WriteOneByte(uint8_t byte);

void PcUart_StartBlockWriting(void);
void PcUart_StopBlockWriting(void);
void PcUart_BlockWriteOneByte(uint8_t byte);


#endif /* Pc_UART_H_ */
